# TIFFReadRawStrip

Section: Misc. Reference Manual Pages (3T)
Updated: October 15, 1995
Index
Return to Main Contents

## NAME

TIFFReadRawStrip - return the undecoded contents of a strip of data from an open TIFF file

## SYNOPSIS

#include <tiffio.h>
tsize_t TIFFReadRawStrip(TIFF* tif, tstrip_t strip, tdata_t buf, tsize_t size)

## DESCRIPTION

Read the contents of the specified strip into the (user supplied) data buffer. Note that the value of strip is a ``raw strip number.'' That is, the caller must take into account whether or not the data is organized in separate planes (PlanarConfiguration=2). To read a full strip of data the data buffer should typically be at least as large as the number returned by TIFFStripSize.

## RETURN VALUES

The actual number of bytes of data that were placed in buf is returned; TIFFReadEncodedStrip returns -1 if an error was encountered.

## DIAGNOSTICS

All error messages are directed to the TIFFError(3T) routine.

## SEE ALSO

libtiff(3T), TIFFOpen(3T), TIFFReadEncodedStrip(3T), TIFFReadScanline(3T), TIFFStripSize(3T)

## Index

NAME
SYNOPSIS
DESCRIPTION
RETURN VALUES
DIAGNOSTICS
SEE ALSO

This document was created by man2html, using the manual pages.
Time: 01:31:38 GMT, November 23, 1999